Não há mais atualizações para o Google Chrome de 32 bits

105

Estou usando o Google Chrome 48.0 de 32 bits. Hoje, quando lancei o Google Chrome, recebi esta mensagem:

This computer will soon stop receiving Google Chrome updates because
this Linux system will no longer be supported

Eu pensei que o Ubuntu 14.04 é suportado por cinco anos, o que exatamente está acontecendo aqui?

E no Ubuntu de 64 bits, recebo um erro do Gerenciador de Atualizações e apt-get update :

Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release 
Unable to find expected entry 'main/binary-i386/Packages' in Release file
(Wrong sources.list entry or malformed file)  
Some index files failed to download.  
They have been ignored, or old ones used instead.  
    
por Parto 22.01.2016 / 07:26
fonte

7 respostas

125

Informações importantes sobre como instalar o Chrome no Ubuntu 16.04 e 17.04 na parte inferior!

Esta mensagem é válida apenas para sistemas Linux de 32 bits, os sistemas de 64 bits continuarão sendo suportados. Quando você tem a versão de 32 bits do Ubuntu instalada, o Google Chrome não receberá atualizações, a partir de março de 2016 - isso já foi anunciado pelo Google em 1º de dezembro de 2015.

Google: encerraremos o suporte para o Google Chrome no Linux de 32 bits, no Ubuntu Precise (12.04) ...

Quando quiser receber atualizações do Chrome, você deve mudar para a versão de 64 bits do Ubuntu. O Ubuntu 14.04.3 LTS e o Ubuntu 15.10 são recomendados para download no sabor de 64 bits. O próximo Ubuntu LTS edição 16.04 Xenial Xerus será lançado em abril de 2016, instalá-lo em 64 bits.

No período de março a abril, você pode usar o navegador da Web Firefox pré-instalado. Alternativamente, você pode instalar o chromium-browser ou o epiphany-browser dos repositórios do Ubuntu. Ou você pode instalar a versão de 64 bits do Ubuntu 14.04, mas vale a pena o esforço? ... você decide ...

O suporte de cinco anos para as edições do Ubuntu LTS abrange o sistema, incluindo repositórios oficiais. O Google Chrome não está disponível nos repositórios oficiais do Ubuntu e é por essa razão que não há suporte LTS de cinco anos para o Chrome fornecido pelos desenvolvedores da Canonical / Ubuntu.

Atualizar informações 2016-03-03: o Google removeu a versão de 32 bits do repositório deles!

Como você pode ver no site do Google Chrome , não há edição de 32 bits do Linux oferecido mais.

A execução de sudo apt-get update apresenta o seguinte erro:

Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release 
Unable to find expected entry 'main/binary-i386/Packages' in Release file
(Wrong sources.list entry or malformed file)  
Some index files failed to download.  
They have been ignored, or old ones used instead.  

Como solução, defina os repositórios especificamente para 64 bits:

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list" "/opt/google/chrome/cron/google-chrome"

Referência: Corrigir "Falha ao buscar" o repositório do Google Chrome

Atualizar informações 2016-03-09: o Google parece ter corrigido o problema na versão 49.0.2623.87!

/opt/google/chrome/cron/google-chrome file agora tem essas entradas relevantes da arquitetura:

# sources.list setting for google-chrome updates.
REPOCONFIG="deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main"
REPOCONFIGREGEX="deb (\[arch=[^]]*\bamd64\b[^]]*\][[:space:]]*)?https?://dl.google.com/linux/chrome/deb/ stable main"
O arquivo

/etc/apt/sources.list.d/google-chrome.list mostra essa entrada relevante da arquitetura:

### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

Atualizar informações 2016-04-21: como instalar o navegador Google Chrome no Ubuntu 16.04

Atualmente, há um problema para instalar o Google Chrome fazendo o download do site do Google. Ao clicar no arquivo .deb , o Ubuntu Software é aberto, mas nada acontece quando você clica em Instalar. Instale o Google Chrome corretamente dessa maneira - abra um terminal e execute os seguintes comandos:

echo "deb http://dl.google.com/linux/chrome/deb/ stable main" | sudo tee /etc/apt/sources.list.d/google-chrome.list  
wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -  
sudo apt-get update
sudo apt-get install google-chrome-stable

Há pouca nova questão de "assinatura fraca" ao atualizar os repositórios - mas pode ser ignorado:

W: http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg: Signature by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 uses weak digest algorithm (SHA1)  

Atualizar informações 2017-04-13: Como instalar o navegador Google Chrome no Ubuntu 17.04

Os comandos fornecidos acima para o Ubuntu 16.04 ainda são válidos e a melhor solução de trabalho para instalar o Google Chrome com sucesso. Nota: o comando apt pode ser usado em vez de apt-get também.

    
por cl-netbox 22.01.2016 / 11:23
fonte
29

O que está acontecendo é que a palavra "suportado" nesta mensagem não significa o que você acha que significa. Quando o Google diz que "esse sistema não será mais suportado", o que eles dizem é "deixaremos de fornecer a atualização do Chrome para este sistema". Por outro lado, quando a Canonical diz que "o Ubuntu 14.04 será suportado por cinco anos", o que eles dizem é que "pacotes nos repositórios oficiais receberão upgrades por cinco anos". Como os pacotes do Chrome não estão nos repositórios oficiais do Ubuntu, não há contradição entre os dois.

    
por fkraiem 22.01.2016 / 11:57
fonte
20

EDITAR: parece que o Google adicionou as alterações corretas às atualizações. Então, simplesmente consertando a linha do repositório, a execução da atualização deve ser boa a partir de agora.

O suporte do parou de 32bit Chrome para o Linux. Curiosamente, no site download do Google Chrome , eles ainda têm o link para a versão de 32 bits.

Para corrigir isso, faça as seguintes alterações:

(Opcional) Primeiro, remova o Google Chrome e o arquivo de repositório: Não se preocupe, suas configurações ainda devem ser seguras.

sudo apt-get remove google-chrome-stable
sudo rm /etc/apt/sources.list.d/google-chrome.list*

Em seguida, atualize o sistema:

sudo apt-get update

Em seguida, corrija os seguintes comandos no arquivo do repositório do Google Chrome:

Adicione a chave: Somente se esta for a primeira instalação.

wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

Em seguida, adicione as alterações ao repositório:

sudo sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" > /etc/apt/sources.list.d/google-chrome.list'

Se o Google Chrome já estiver instalado:

sudo apt-get update
sudo apt-get upgrade

Se não estiver instalado:

sudo apt-get update
sudo apt-get install google-chrome-stable

Espero que isso ajude!

    
por Terrance 06.03.2016 / 04:58
fonte
13

Mude para o Chromium - ele é praticamente idêntico (ele permite que você faça o login no Google da mesma forma que o Chrome), totalmente em código aberto e fornecido por repositórios do Ubuntu.

Para suporte a Flash com o Chromium, siga as estas instruções.

    
por Keith 22.01.2016 / 10:20
fonte
6

Por favor, leia o link

De lá:

  

Para fornecer a melhor experiência para as versões mais usadas do Linux,   vai encerrar o suporte para o Google Chrome em Linux de 32 bits, Ubuntu Precise   (12.04) e Debian 7 (wheezy) no início de março de 2016. O Chrome   continuar a funcionar nestas plataformas, mas deixará de receber   atualizações e correções de segurança.

     

Pretendemos continuar a suportar as configurações de compilação de 32 bits em   Linux para suportar o desenvolvimento do Chromium. Se você estiver usando Precise, nós   recomendo que você atualize para o Trusty.

    
por DK Bose 22.01.2016 / 11:22
fonte
4

No Ubuntu 64-bit, digite os seguintes comandos:

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"

e

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/opt/google/chrome/cron/google-chrome"

Pacote de atualização: sudo apt-get update

De acordo com webupd8 No SO de 64 bits, é necessário para editar os dois arquivos a seguir:

/etc/apt/sources.list.d/google-chrome.list

Mude a linha 3 de:

deb http://dl.google.com/linux/chrome/deb/ stable main

para:

deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

Edite o /opt/google/chrome/cron/google-chrome

Altere REPOCONFIG e SSLREPOCONFIG de:

REPOCONFIG="deb http://dl.google.com/linux/chrome/deb/ stable main"
SSLREPOCONFIG="deb https://dl.google.com/linux/chrome/deb/ stable main"

Para

REPOCONFIG="deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main"
SSLREPOCONFIG="deb [arch=amd64] https://dl.google.com/linux/chrome/deb/ stable main"

Atualização de agosto de 3,2016 :

Para instalar a versão mais recente do Google chrome 50 (64bits) no Ubuntu 16.04 LTS via PPA com boas assinaturas:

Faça o download da chave pública do Google:

wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

Adicionar o repositório do Google Chrome:

sudo sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" > /etc/apt/sources.list.d/google.list'

Atualização do repositório:

sudo apt update

ou

sudo apt-get update

Instale o Google Chrome:

sudo apt install google-chrome-stable

ou

sudo apt-get install google-chrome-stable
    
por GAD3R 05.03.2016 / 15:31
fonte
1

De acordo com o link , faça o seguinte a partir do prompt de comando:

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/opt/google/chrome/cron/google-chrome"

Observe que, de acordo com a fonte acima, "esse arquivo é alterado em cada atualização do Google Chrome e parece que não há alternativa (alterando / opt / google / chrome / cron / google-chrome ou / etc / default / google -chrome não afeta isso) então até que o Google mude isso em seu pacote, você precisará aplicar a correção acima após cada atualização do Google Chrome .... Uma solução seria tornar o arquivo .list imutável, para que ele possa pode ser alterado por qualquer atualização do Google Chrome, usando "sudo chattr + i /etc/apt/sources.list.d/google-chrome.list" (que pode ser revertido usando: "sudo chattr -i / etc / apt /sources.list.d/google-chrome.list "), mas isso não é o ideal, e você deve alterar esse arquivo de volta assim que o Google corrigir isso."

    
por m2web 09.03.2016 / 10:54
fonte